Bug 478727 - Edit buddy comment from conversation window failed
Edit buddy comment from conversation window failed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-04 04:00 EST by Cao, Chen
Modified: 2009-01-13 09:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-13 09:30:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cao, Chen 2009-01-04 04:00:24 EST
Description of problem:
the 'Edit Buddy Comment' window does not pop up in the following 
scenario,
the buddy I'm talking to is not in my buddy list.
right-click the buddy's name on the conversation window, and 
choose to edit the buddy's comment from the popup menu.


Version-Release number of selected component (if applicable):
2.5.3-1-f10


How reproducible:
100% reproducable


Steps to Reproduce:
1. to remove a buddy out of my buddy list, but the 'buddy' can 
still start a conversation with me, do the following operations:
    a. create a new group named whatever you like, for example, 
       xxgroup4this_case, 
    b. add the buddy that you are going to remove from your 
       buddy list for this test,
    c. remove the group you have just created.
now the buddy is out of your buddy list, but still start a 
conversation with you.

2. have the buddy, who you have just remove from you buddy list, 
start a conversation with you.

3. right-click the buddy's name on the conversation window, and 
choose to edit the buddy's comment from the popup menu.


Actual results:
the 'Edit Buddy Comment' window dose not pop up.


Expected results:
It seems that a 'Edit Buddy Comment' window should pop up, 
though I actually have no idea what is the 'Expected results'.
Maybe, the expected result is that, there's no item in the 
popup menu to allow user to edit buddy comment, if the buddy 
is no in the user's buddy list.


Additional info:
N/A
Comment 1 Stu Tomlinson 2009-01-08 16:50:33 EST
This will be fixed (by removing the 'Edit Buddy Comment' option for non-buddies) in Pidgin 2.5.4, due out Real Soon Now.

Note You need to log in before you can comment on or make changes to this bug.